Skip to main content
GET
Get an opportunity

Authorizations

Authorization
string
header
required

OAuth 2.0 Bearer Token from Clerk authentication

Path Parameters

id
string
required

The opportunity ID

Response

successful

id
string
required

The opportunity ID

Example:

"abc123xyz"

name
string
required

The name of the opportunity

Example:

"New Investment Opportunity"

book_id
string
required

The book ID

Example:

"book123xyz"

pipeline
object
required
pipeline_stage
object
required
assigned_to
object
required

The user assigned to this opportunity. Set this with assigned_to_id on create or update.

value
integer | null

The monetary value of the opportunity in dollars

Example:

5000

probability
integer | null

The probability of closing (0-100)

Example:

75

target_close_date
string<date-time> | null

Expected close date

stage_updated_at
string<date-time> | null

When the opportunity last moved stages. Useful for stage aging and pipeline reporting.

household_id
string | null

The household ID (null for unassociated opportunities)

Example:

"household123xyz"

opportunityable_type
enum<string> | null

The related record type for this opportunity

Available options:
Household,
Contact,
Business
opportunityable_id
string | null

The related record ID for this opportunity

opportunityable
object | null

Compact related record payload for the opportunity

custom_fields
object

Custom field values as key-value pairs

Example:
created_at
string<date-time>

When the opportunity was created

updated_at
string<date-time>

When the opportunity was last updated